Loading...
Searching...
No Matches
FFTWindowMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getNone ()
void | getHamming ()
void | getHann ()
void | getBlackman ()
void | getBlackmanharris ()
void | getRectangular ()
void | getKaiser ()
void | getFlattop ()

## Signals

void | whichTrigger (const gr::fft::window::win_type type)

## Public Member Functions

| FFTWindowMenu (QWidget *parent)
| ~FFTWindowMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)
QAction * | getActionFromWindow (gr::fft::window::win_type type)

## Constructor & Destructor Documentation

## FFTWindowMenu()

FFTWindowMenu::FFTWindowMenu | ( | QWidget * | parent | ) |

inline

References getBlackman(), getBlackmanharris(), getFlattop(), getHamming(), getHann(), getKaiser(), getNone(), and getRectangular().

## ~FFTWindowMenu()

FFTWindowMenu::~FFTWindowMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction()

QAction * FFTWindowMenu::getAction | ( | unsigned int | which | ) |

inline

## getActionFromWindow()

QAction * FFTWindowMenu::getActionFromWindow | ( | gr::fft::window::win_type | type | ) |

inline

References gr::fft::window::WIN_BLACKMAN, gr::fft::window::WIN_BLACKMAN_hARRIS, gr::fft::window::WIN_FLATTOP, gr::fft::window::WIN_HAMMING, gr::fft::window::WIN_HANN, gr::fft::window::WIN_KAISER, gr::fft::window::WIN_NONE, and gr::fft::window::WIN_RECTANGULAR.

## getBlackman

void FFTWindowMenu::getBlackman | ( |  | ) |

inline slot

References whichTrigger(), and gr::fft::window::WIN_BLACKMAN.

Referenced by FFTWindowMenu().

## getBlackmanharris

void FFTWindowMenu::getBlackmanharris | ( |  | ) |

inline slot

References whichTrigger(), and gr::fft::window::WIN_BLACKMAN_hARRIS.

Referenced by FFTWindowMenu().

## getFlattop

void FFTWindowMenu::getFlattop | ( |  | ) |

inline slot

References whichTrigger(), and gr::fft::window::WIN_FLATTOP.

Referenced by FFTWindowMenu().

## getHamming

void FFTWindowMenu::getHamming | ( |  | ) |

inline slot

References whichTrigger(), and gr::fft::window::WIN_HAMMING.

Referenced by FFTWindowMenu().

## getHann

void FFTWindowMenu::getHann | ( |  | ) |

inline slot

References whichTrigger(), and gr::fft::window::WIN_HANN.

Referenced by FFTWindowMenu().

## getKaiser

void FFTWindowMenu::getKaiser | ( |  | ) |

inline slot

References whichTrigger(), and gr::fft::window::WIN_KAISER.

Referenced by FFTWindowMenu().

## getNone

void FFTWindowMenu::getNone | ( |  | ) |

inline slot

References whichTrigger(), and gr::fft::window::WIN_NONE.

Referenced by FFTWindowMenu().

## getNumActions()

int FFTWindowMenu::getNumActions | ( |  | ) | const

inline

## getRectangular

void FFTWindowMenu::getRectangular | ( |  | ) |

inline slot

References whichTrigger(), and gr::fft::window::WIN_RECTANGULAR.

Referenced by FFTWindowMenu().

## whichTrigger

void FFTWindowMenu::whichTrigger | ( | const gr::fft::window::win_type | type | ) |

signal

Referenced by getBlackman(), getBlackmanharris(), getFlattop(), getHamming(), getHann(), getKaiser(), getNone(), and getRectangular().

The documentation for this class was generated from the following file:

- form_menus.h